## About
This Modelica library contains several building blocks (e.g. switches, PWM generators, 
transistor gate drivers, etc.) that facilitate the design and modeling of SMPS (switched - mode
power supply) based power electronics applications.

For more information see comments in components' source files and demo applications in 
the directory `/examples`.

## Prerequisites
* The [Modelica Standard Library 3.2.1](https://github.com/modelica/Modelica).
* [OpenModelica](https://www.openmodelica.org/) or 
[any other](https://www.modelica.org/tools/) Modelica simulation environment.

## TODO
The library is still a work in progress and is not complete yet. Several features will be
added as soon as possible, e.g.:
* Model of semiconductor diode reverse recovery losses
* Models of additional converters, e.g. various inverters, etc.
* PI(D) compensator elements for more sophisticated applications.
* Conversion of comments into standardized documentation annotations.
* Icons of library's components.
* Schematics of components' circuits.
* etc.

## License
This library is free software and the use is completely at your own risk; it can be 
redistributed and/or modified under the terms of the 
[3-Clause BSD License](https://opensource.org/licenses/BSD-3-Clause).

## Author
The author of the library is Jernej Kova&#x010d;i&#x010d;.
